## export_bae

Type: netlist.

### netlist export

Exports in the Bartels' Autoengineer bae netlist format with the following characteristics:

- illegal characters in refdes (producing broken output): space, :, . and =
- illegal character in footprint (producing broken output): ;
- illegal character in netname (producing broken output): '
- illegal character in pin number (producing broken output): . and=

#### Attribute usage

For components the following attributes are used to construct file-format specified fields:

- component's display/footprint (fallback: footprint attribute)

No other/custom attributes are exported.

#### Omit and DNP

The plugin will not export components and networks that have the display/omit attribute set.

The plugin will export objects that have the display/dnp attribute set. To get the DNP information passed on, use the export naming mechanism of a target plugin in the view.